package it.mice.voila.runtime.entity;

/**
 * Bean used to transfer an awesome indicator for presentation.
 * It is built to be used in combination with Awesome fonts and bootstrap.
 * Some displaytag column decorators can be used to render any entity attributes returning this bean based on some numeric values or bean status.
 * Extensions can be used to simplify its usage such as: PriorityIndicator, alertIndicator and so on...
 */
public class AwesomeIndicatorBean {
	private String symbolName;
	private String color;
	private String text;
	
	public AwesomeIndicatorBean(String symbolName, String color, String text) {
		super();
		this.symbolName = symbolName;
		this.color = color;
		this.text = text;
	}

	public String getSymbolName() {
		return symbolName;
	}

	public void setSymbolName(String symbolName) {
		this.symbolName = symbolName;
	}

	public String getColor() {
		return color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	@Override
	public String toString() {
		return "AwesomeIndicatorBean [symbolName=" + symbolName + ", color=" + color + ", text=" + text + "]";
	}
}
